#include	<EightNodeBrick.h>


EightNodeBrick::EightNodeBrick(int* nodenums)
{

	nn = new int[8];

	nn[0] = nodenums[0];
	nn[1] = nodenums[1];
	nn[2] = nodenums[2];
	nn[3] = nodenums[3];
	nn[4] = nodenums[4];
	nn[5] = nodenums[5];
	nn[6] = nodenums[6];
	nn[7] = nodenums[7];
}

//----------------------------------------------------

int
EightNodeBrick::numNodes()
{
 	return 8;
}
//----------------------------------------------------

int*
EightNodeBrick::nodes(int *p)
{
 	if(p == 0) p = new int[8];
 	p[0] = nn[0];
 	p[1] = nn[1];
 	p[2] = nn[2];
 	p[3] = nn[3];
 	p[4] = nn[4];
 	p[5] = nn[5];
 	p[6] = nn[6];
 	p[7] = nn[7];
	return p;
}

//----------------------------------------------------

void EightNodeBrick::binWriteNodes(BinFileHandler &outfile) {

  int type = 17;
  outfile.write(&type, 1);
  outfile.write(nn, 8);

}
