#include        <HelmIsoParamTetra.h>
                                                                                                 
                                                                                                 
HelmIsoParamTetra::HelmIsoParamTetra(int nnodes,int* nodenums)
{
        nNodes = nnodes;
        nn = new int[nNodes];
        for (int i = 0 ; i < nNodes ; i ++)
          nn[i] = nodenums[i];
}
                                                                                                 
//----------------------------------------------------
                                                                                                 
int
HelmIsoParamTetra::numNodes()
{
        return nNodes;
}
//----------------------------------------------------
                                                                                                 
int*
HelmIsoParamTetra::nodes(int *p)
{
        if(p == 0) p = new int[nNodes];
        for (int i = 0 ; i < nNodes ; i++)
          p[i] = nn[i];
        return p;
}
                                                                                                 
//----------------------------------------------------
                                                                                                 
void HelmIsoParamTetra::binWriteNodes(BinFileHandler &outfile) {
                                                                                                 
  int type = 96;
  outfile.write(&type, 1);
  outfile.write(nn, nNodes);
                                                                                                 
}

