#include <Membrane.h>

Membrane::Membrane(int* nodeNumbers)
{
	nn = new int[3];

	nn[0] = nodeNumbers[0];
	nn[1] = nodeNumbers[1];
	nn[2] = nodeNumbers[2];
}

//--------------------------------------------------------------

int
Membrane::numNodes()
{
 	return 3;
}
//--------------------------------------------------------------

int*
Membrane::nodes(int *p)
{
 	if(p == 0) p = new int[3];
 	p[0] = nn[0];
 	p[1] = nn[1];
 	p[2] = nn[2];
	return p;
}
//--------------------------------------------------------------

void Membrane::binWriteNodes(BinFileHandler &outfile) {
  
  int type = 19;
  outfile.write(&type, 1);
  outfile.write(nn, 3);

}
