#include	<Pentahedral.h>

Pentahedral::Pentahedral(int* nodenums)
{
	nn = new int[6];

	nn[0] = nodenums[0];
	nn[1] = nodenums[1];
	nn[2] = nodenums[2];
	nn[3] = nodenums[3];
	nn[4] = nodenums[4];
	nn[5] = nodenums[5];
}


int
Pentahedral::numNodes()
{
 	return 6;
}

int*
Pentahedral::nodes(int *p)
{
 	if(p == 0) p = new int[6];
 	p[0] = nn[0];
 	p[1] = nn[1];
 	p[2] = nn[2];
 	p[3] = nn[3];
 	p[4] = nn[4];
 	p[5] = nn[5];
	return p;
}


void Pentahedral::binWriteNodes(BinFileHandler &outfile) {

  int type = 24;
  outfile.write(&type, 1);
  outfile.write(nn, 6);

}
