#include"Tetrahedron3D.h"

/*
int& 
Tetrahedron3D::operator[](const int position){
	assert(0<=position);
	assert(position<=3);
	return(nn[position]);
}
*/

//------------------------------------------------------------------

Tetrahedron3D::Tetrahedron3D(int _n1, int _n2, int _n3, int _n4)  {

  nn = new int[4];

  nn[0] = _n1; 
  nn[1] = _n2;
  nn[2] = _n3; 
  nn[3] = _n4;
 
  prop = 0;

}

//---------------------------------------------------------------------

int * Tetrahedron3D::nodes(int *p)
{
 if(p == 0)
   p = new int[4];
 p[0] = nn[0];
 p[1] = nn[1];
 p[2] = nn[2];
 p[3] = nn[3];
 return p;
}

//---------------------------------------------------------------------

istream& 
operator>>(istream& is,Tetrahedron3D& source){
	for(int i=0;i<4;i++){
		is>>source.nn[i];
		source.nn[i]--;
	}
	return is;
}

//---------------------------------------------------------------------

void Tetrahedron3D::binWriteNodes(BinFileHandler &outfile)  {

  outfile.write(nn, 4);


}
