#include <TwoNodeTruss.h>

//---------------------------------------------------------

TwoNodeTruss::TwoNodeTruss(int* nodenums)
{
	nn = new int[2]; 

        nn[0] = nodenums[0];
        nn[1] = nodenums[1];
}


//---------------------------------------------------------

int
TwoNodeTruss::numNodes()
{
        return 2;
}

//---------------------------------------------------------

int *
TwoNodeTruss::nodes(int *p)
{
        if(p == 0) p = new int[2];
        p[0] = nn[0];
        p[1] = nn[1];
        return p;
}

//---------------------------------------------------------

void TwoNodeTruss::binWriteNodes(BinFileHandler &outfile)  {

  int type = 1;
  outfile.write(&type, 1);
  outfile.write(nn, 2);
}
